<?php
include ('session.php');
include('test.php');
include('connection.php');
$dis=test_input($_POST['dis']);
$dis_mar=test_input($_POST['dis_mar']);
$dp1=$_POST['dp1'];
$file2= $_FILES['file2']['name'];
$target_dir = "public_html/new-zppalghar/pdfs/";
$target_file = $target_dir . basename($_FILES["file2"]["name"]);
$uploadOk = 1;
$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);
// Check if image file is a actual image or fake image
if(isset($_POST["submit"])) {
    $check = getimagesize($_FILES["file2"]["tmp_name"]);
    if($check !== false) {
        echo "File is an image - " . $check["mime"] . ".";
        $uploadOk = 1;
    } else {
        echo "File is not an image.";
        $uploadOk = 0;
    }
}
// Check if file already exists
if (file_exists($target_file)) {
    echo "Sorry, file already exists.";
    $uploadOk = 0;
}
// Check file size
if ($_FILES["file2"]["size"] > 500000) {
    echo "Sorry, your file is too large.";
    $uploadOk = 0;
}
// Allow certain file formats
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
&& $imageFileType != "gif" ) {
    echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
    $uploadOk = 0;
}
// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
    echo "Sorry, your file was not uploaded.";
// if everything is ok, try to upload file
} else {
    if (move_uploaded_file($_FILES["file2"]["tmp_name"], $target_file)) {
    	
    	
    	mysqli_query($GLOBALS["___mysqli_ston"], "SET NAMES utf8");
$sql="INSERT INTO `employee_of_the_week`(dis,dis_mar,dp1,file2) VALUES ('$dis','$dis_mar',NOW(),'$file2')";	
//echo $sql;
//mysql_query("SET NAMES utf8_unicode_ci");
$res=mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Error message". mysqli_errno($GLOBALS["___mysqli_ston"]));
        echo "The file ". basename( $_FILES["file2"]["name"]). " has been uploaded.";
    } else {
        echo "Sorry, there was an error uploading your file.";
    }
}
?>
